| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | List of all members
cv::ximgproc::SparseMatchInterpolator Class Referenceabstract
Extended Image Processing » Filters

Main interface for all filters, that take sparse matches as an input and produce a dense per-pixel matching (optical flow) as an output. More...

`#include <opencv2/ximgproc/sparse_match_interpolator.hpp>`

Collaboration diagram for cv::ximgproc::SparseMatchInterpolator:

## Public Member Functions
virtual void | interpolate (InputArray from_image, InputArray from_points, InputArray to_image, InputArray to_points, OutputArray dense_flow)=0
| Interpolate input sparse matches.
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state.
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read.
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage.
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage.
void | write (FileStorage &fs, const String &name) const

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file.
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String.
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node.
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

Main interface for all filters, that take sparse matches as an input and produce a dense per-pixel matching (optical flow) as an output.

## Member Function Documentation

## ◆ interpolate()

virtual void cv::ximgproc::SparseMatchInterpolator::interpolate | ( | InputArray | from_image,
|  | InputArray | from_points,
|  | InputArray | to_image,
|  | InputArray | to_points,
|  | OutputArray | dense_flow )
| pure virtual

Python:
| cv.ximgproc.SparseMatchInterpolator.interpolate( | from_image, from_points, to_image, to_points[, dense_flow] | ) -> | dense_flow

Interpolate input sparse matches.

Parameters

  from_image | first of the two matched images, 8-bit single-channel or three-channel.
  from_points | points of the from_image for which there are correspondences in the to_image (Point2f vector or Mat of depth CV_32F)
  to_image | second of the two matched images, 8-bit single-channel or three-channel.
  to_points | points in the to_image corresponding to from_points (Point2f vector or Mat of depth CV_32F)
  dense_flow | output dense matching (two-channel CV_32F image)

The documentation for this class was generated from the following file:

- opencv2/ximgproc/sparse_match_interpolator.hpp